Skip to main content
Announcements
Qlik Introduces a New Era of Visualization! READ ALL ABOUT IT
cancel
Showing results for 
Search instead for 
Did you mean: 
robb183
Contributor III
Contributor III

Upgrade Sense CM from Nov.2019 to Feb. 2022

Hello everybody


I need to upgrade from Qlik Sense CM version Nov. 2019 to Feb. 2022.
Reading the documentation of the versions after Nov. 2019 I read about the change of the framework (from .Net 4.5.2 to .Net 4.8 in the Qlik Feb. 2021 version) and also of the new db postgres v.12.x (from version May 2021)

Do you have any suggestions for upgrading?

I was thinking of execute the upgrade in 3 different steps to avoid problems:

from Nov 2019:
-install February 2021
-installed in May 2021
-install February 2022

Is it excessive?
Do you have any useful tips about it?

Thank you all.

Labels (1)
1 Solution

Accepted Solutions
Mike_Dickson
Support
Support

Hello @robb183 ,

In regards to your questions about doing an upgrade from Nov 2019 to Feb 2022, you do NOT need to install each of the version in between. You should be able to upgrade directly to the latest version, but I do suggest that you look at the following articles as they will help you in this process.

https://community.qlik.com/t5/Knowledge/Qlik-Sense-Upgrade-Guide-Step-by-Step-plus-common-issues-and...

This next article is very important if you are looking to upgrade the Postgres database.

https://community.qlik.com/t5/Knowledge/Qlik-Sense-May-2021-Upgrade-bundled-PostgreSQL-to-12-5-versi...

I hope this helps!

Sr. Technical Support Engineer with Qlik Support
Don't forget to mark a solution that worked for you!

View solution in original post

12 Replies
Mike_Dickson
Support
Support

Hello @robb183 ,

In regards to your questions about doing an upgrade from Nov 2019 to Feb 2022, you do NOT need to install each of the version in between. You should be able to upgrade directly to the latest version, but I do suggest that you look at the following articles as they will help you in this process.

https://community.qlik.com/t5/Knowledge/Qlik-Sense-Upgrade-Guide-Step-by-Step-plus-common-issues-and...

This next article is very important if you are looking to upgrade the Postgres database.

https://community.qlik.com/t5/Knowledge/Qlik-Sense-May-2021-Upgrade-bundled-PostgreSQL-to-12-5-versi...

I hope this helps!

Sr. Technical Support Engineer with Qlik Support
Don't forget to mark a solution that worked for you!
robb183
Contributor III
Contributor III
Author

Thanks  @Mike_Dickson for the quick reply and for the links, I'm reading everything.

But is updating to postgres mandatory? Or not, it's not clear to me.

Thank you again

Best regardes

Robb

Mike_Dickson
Support
Support

No it is not "required" and your environment will still work with the 9.6 version of the Postgres Database, but for many organizations, running on the latest supported PostgreSQL version is a security requirement

Sr. Technical Support Engineer with Qlik Support
Don't forget to mark a solution that worked for you!
robb183
Contributor III
Contributor III
Author

Many thanks for the reply @Mike_Dickson 

Have any problems been encountered regarding the change of .Net framework?

Is the new .NET version included and installed during the upgrade?

Do you have any suggestions?

Best regardes

Robb

Mike_Dickson
Support
Support

Hello @robb183 

From my understanding, starting with Qlik Sense Feb 2021, .NET 4.8 is used and the if your environment does not already have it installed, then it will get installed.

"the Qlik Sense installer will download the .NET 4.8 Framework from https://go.microsoft.com/fwlink/?LinkId=2088631 if it does not detect it already being installed"

Please view the following article regarding this:

https://community.qlik.com/t5/Support-Updates-Blog/Qlik-Sense-Installer-updated-to-use-Net-Framework...

Sr. Technical Support Engineer with Qlik Support
Don't forget to mark a solution that worked for you!
robb183
Contributor III
Contributor III
Author

Another aspect regarding this topic: certificates.

I have Windows SSO certificates for default proxy service but I have configured in QMC a virtual proxy with JWT certificates.

I was wondering if the update changes certificates or just a fresh install.

Thank you

shijiann
Partner - Contributor
Partner - Contributor

Hi @robb183 ,

I need to upgrade QS from June 2019 version to August 2022 version. Trying to find what is the best approach. Did you do a direct upgrade or step by step upgrade (including intermediate versions)? 

Thank You.

Maria_Halley
Support
Support

@shijiann 

Take a look at the help section below. It describes in what steps you have to do the upgrade.

In your case, you have must upgrade to at least  November 2020, before August 2022. 

https://help.qlik.com/en-US/sense-admin/November2022/Subsystems/DeployAdministerQSE/Content/Sense_De...

mistermau2014
Partner - Contributor
Partner - Contributor

 

And what is the most current version possible that you recommend updating? Another question: Do I need to update Postgre first?